{
	"Version" : "1.0.0",
	"Method" : "get",
	"MethodProperty" : { "type" : "string", "mode" : "rw", "opt" : [ "get", "set"] },
	"Authorization" :{
		"Verify" : "",
		"VerifyProperty" : { "type" : "string", "mode" : "ro"},		
		"username" : "",
		"usernameroperty" : { "type" : "string", "mode" : "ro"},				
		"password" : "",
		"passwordProperty" : { "type" : "string", "mode" : "ro"}		
	},
	"IPCam":{
			"DeviceInfo" :{
				"FWVersion" : "1.6.0",
				"FWVersionProperty" : { "type" : "string", "mode" : "ro"},
				"Model" : "IPCAM",
				"ModelProperty" : { "type" : "string", "mode" : "ro"},
				"ID" : "1234567890",
				"IDProperty" : { "type" : "string", "mode" : "ro"},
				"OEMNumber" : "561121",
				"OEMNumberProperty" : { "type" : "string", "mode" : "ro"},
				"FWMagic" : "SlVBTiBJUENBTSBGSVJNV0FSRSBERVNJR05FRCBCWSBMQVc=",
				"FWMagicProperty" : { "type" : "string", "mode" : "ro"}
			},
			
			"ModeSetting" :{
				"AudioEnabled" : true,
				"AudioEnabledProperty" : { "type" : "bool", "mode" : "rw"},
				"SceneMode" : "auto",
				"SceneModeProperty" : { "type" : "string", "mode" : "rw", "opt" : [ "auto", "indoor", "outdoor"] },
				"IRCutFilterMode" : "auto",
				"IRCutFilterModeProperty" : { "type" : "string", "mode" : "rw", "opt" : [ "auto", "daylight", "night"] },
				"Definition" : "auto",
				"DefinitionProperty" : { "type" : "string", "mode" : "rw", "opt" : [ "auto", "fluency", "BD", "HD"] },
				"ConvenientSetting" : "inside",
				"ConvenientSettingProperty" : { "type" : "string", "mode" : "rw", "opt" : [ "inside", "outside"] }
			},

			"FisheyeSetting":{
				"FixMode": "wall",
				"FixModeProperty": { "type" : "string", "mode" : "rw", "opt" : [ "wall", "cell", "table", "none"] },
				"FixParam" :[
					{
						"id":1,
						"idProperty" : { "type" : "integer", "mode" : "ro" },
						"CenterCoordinateX" :640 ,
						"CenterCoordinateXProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 2560, "def" : 640},
						"CenterCoordinateY" : 480 ,
						"CenterCoordinateYProperty"  : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 2560, "def" : 640},
						"Radius" :480 ,
						"RadiusProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 1944, "def" : 640},
						"AngleX" :0 ,
						"AngleXProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 180, "def" : 0},
						"AngleY" :0 ,
						"AngleYProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 180, "def" : 0},
						"AngleZ" :0 ,
						"AngleZProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 180, "def" : 0}						
					},
					{
						"id":2,
						"idProperty" : { "type" : "integer", "mode" : "ro" },
						"CenterCoordinateX" :640 ,
						"CenterCoordinateXProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 2560, "def" : 640},
						"CenterCoordinateY" : 480 ,
						"CenterCoordinateYProperty"  : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 2560, "def" : 640},
						"Radius" :480 ,
						"RadiusProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 1944, "def" : 640},
						"AngleX" :0 ,
						"AngleXProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 180, "def" : 0},
						"AngleY" :0 ,
						"AngleYProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 180, "def" : 0},
						"AngleZ" :0 ,
						"AngleZProperty" : { "type" : "int", "mode" : "rw", "min" : 0, "max" : 180, "def" : 0}						
					}
				]
			},

			"AlarmSetting" :{
				"MotionDetection" :{
					"Enabled" : true,
					"EnabledProperty" : { "type" : "bool", "mode" : "rw"},
					"SensitivityLevel" : "lowest",
					"DSensitivityLevelProperty" : { "type" : "string", "mode" : "rw", "opt" : [ "lowest", "low", "normal", "high", "highest"] }
				},
				"MessagePushEnabled" : true,
				"MessagePushEnabledProperty" : { "type" : "bool", "mode" : "rw"},
				"ScheduleSupport" : true,
				"ScheduleSupportProperty" : { "type" : "bool", "mode" : "rw"},
				"SetupAdd" : "",
				"SetupAddProperty" : { "type" : "string", "mode" : "rw"},
				"SetupShow" : "",
				"SetupShowProperty" : { "type" : "string", "mode" : "rw"}		
				
			},
			"SystemOperation" :{
				"TimeSync" : {
					"LocalTime" : "",
					"LocalTimelProperty" : { "type" : "string", "mode" : "rw"}
				},
				"Upgrade" : {
					"Enabled":false,
					"EnabledProperty" : { "type" : "bool", "mode" : "ro"},					
					"Status" : "",
					"StatusProperty" : { "type" : "string", "mode" : "ro"},
					"error" :"",
					"errorProperty" : { "type" : "string", "mode" : "ro"}
				}
			},
			"PromptSounds": {
				"Enabled": true,
				"EnabledProperty" : { "type" : "bool", "mode" : "rw"},				
				"Type":"chinese",
				"TypeProperty" : { "type" : "string", "mode" : "rw", "opt" : [ "chinese", "english"] }
			},
			"TfcardManager" :{
				"Operation": "format",
				"OperationProperty" : { "type" : "string", "mode" : "rw", "opt" : [ "format"] },
				"Status" : "ok",
				"StatusProperty" : { "type" : "string", "mode" : "ro", "opt" : [ "ok", "exception", "already_format", "no_format", "no_tfcard" ] },
				"TotalSpacesize":"555",
				"TotalSpacesizeProperty" : { "type" : "string", "mode" : "ro"},
				"LeaveSpacesize":"555",
				"LeaveSpacesizeProperty" : { "type" : "string", "mode" : "ro"},
				"SetupAdd" : "",
				"SetupAddProperty" : { "type" : "string", "mode" : "rw"},
				"SetupShow" : "",
				"SetupShowProperty" : { "type" : "string", "mode" : "rw"}
			}		
		},

	"UserManager" :{
		"Method": "modify",
		"MethodProperty" : { "type" : "string", "mode" : "rw", "opt" : [ "modify"] },
		"Verify" : "",
		"VerifyProperty" : { "type" : "string", "mode" : "rw"},
		"username":"admin",
		"usernameProperty" : { "type" : "string", "mode" : "ro"},
		"password":"",
		"passwordProperty" : { "type" : "string", "mode" : "rw"}	
	}
}

	